Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.web
Class JspTaglibSubTask.JspVersionTypes

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          xdoclet.modules.web.JspTaglibSubTask.JspVersionTypes

Enclosing class:
  JspTaglibSubTask

public static class JspTaglibSubTask.JspVersionTypes
extends org.apache.tools.ant.types.EnumeratedAttribute

Supported JSP spec versions.

Author:
  Ara Abrahamian (ara_e@email.com)
created
  July 19, 2001

Field Summary
`static String` | `VERSION_1_1`
`static String` | `VERSION_1_2`
`static String` | `VERSION_2_0`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`JspTaglibSubTask.JspVersionTypes()`

Method Summary
`String[]` | `getValues()` Gets the Values attribute of the JspVersionTypes object

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VERSION_1_1

    public static final String VERSION_1_1

See Also:
  Constant Field Values

### VERSION_1_2

    public static final String VERSION_1_2

See Also:
  Constant Field Values

### VERSION_2_0

    public static final String VERSION_2_0

See Also:
  Constant Field Values

Constructor Detail

### JspTaglibSubTask.JspVersionTypes

    public JspTaglibSubTask.JspVersionTypes()

Method Detail

### getValues

    public String[] getValues()

  Gets the Values attribute of the JspVersionTypes object

  Returns:
    The Values value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD